HepMC3 event record library: AttributeFeature Class Reference

HepMC3 event record library

Public Member Functions | Private Attributes
AttributeFeature Class Reference

## Detailed Description

AttributeFeature.

Definition at line 22 of file AttributeFeature.h.

`#include <AttributeFeature.h>`

Collaboration diagram for AttributeFeature:
[legend]

## Public Member Functions
| AttributeFeature (const std::string &name)
| constructor
Filter | exists () const
| existence
bool | operator() (ConstGenParticlePtr p) const
| evaluate
Filter | operator== (const Attribute &rhs) const
| equality operator
Filter | operator== (std::shared_ptr< const Attribute > rhs) const
| equality operator
Filter | operator== (std::string rhs) const
| equality operator

## Private Attributes
std::string | m_name
| holds name

## Constructor & Destructor Documentation

## ◆ AttributeFeature()

AttributeFeature | ( | const std::string & | name | ) |
| inline

constructor

Definition at line 25 of file AttributeFeature.h.

References m_name.

## Member Function Documentation

## ◆ exists()

Filter exists | ( |  | ) | const
| inline

existence

Definition at line 28 of file AttributeFeature.h.

References m_name.

## ◆ operator()()

bool operator() | ( | ConstGenParticlePtr | p | ) | const
| inline

evaluate

Definition at line 34 of file AttributeFeature.h.

References m_name.

## ◆ operator==() [1/3]

Filter operator== | ( | const Attribute & | rhs | ) | const
| inline

equality operator

Definition at line 39 of file AttributeFeature.h.

References m_name, and Attribute::to_string().

## ◆ operator==() [2/3]

Filter operator== | ( | std::shared_ptr< const Attribute > | rhs | ) | const
| inline

equality operator

Definition at line 47 of file AttributeFeature.h.

References m_name.

## ◆ operator==() [3/3]

Filter operator== | ( | std::string | rhs | ) | const
| inline

equality operator

Definition at line 55 of file AttributeFeature.h.

References m_name.

## Field Documentation

## ◆ m_name

std::string m_name
| private

holds name

Definition at line 61 of file AttributeFeature.h.

The documentation for this class was generated from the following file:

- AttributeFeature.h